## bzr 2.3.1

=== Makefile ===
# Copyright (C) 2005-2010 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# A relatively simple Makefile to assist in building parts of bzr. Mostly for
# building documentation, etc.


### Core Stuff ###

PYTHON=python
PYTHON24=python24
PYTHON25=python25
PYTHON26=python26
BZR_TARGET=release
PLUGIN_TARGET=plugin-release
PYTHON_BUILDFLAGS=

.PHONY: all clean extensions pyflakes api-docs check-nodocs check

all: extensions

extensions:
	@echo "building extension modules."
	$(PYTHON) setup.py build_ext -i $(PYTHON_BUILDFLAGS)

check: docs check-nodocs

check-nodocs: extensions
	set -e
	# Generate a stream for PQM to watch.
	-$(RM) -f selftest.log
	$(PYTHON) -Werror -O ./bzr selftest --subunit $(tests) | tee selftest.log
	# An empty log file should catch errors in the $(PYTHON)
	# command above (the '|' swallow any errors since 'make'
	# sees the 'tee' exit code for the whole line
	if [ ! -s selftest.log ] ; then exit 1 ; fi
	# Check that there were no errors reported.
	subunit-stats < selftest.log

# Run Python style checker (apt-get install pyflakes)
#
# Note that at present this gives many false warnings, because it doesn't
# know about identifiers loaded through lazy_import.
pyflakes:
	pyflakes bzrlib

pyflakes-nounused:
	# There are many of these warnings at the moment and they're not a
	# high priority to fix
	pyflakes bzrlib | grep -v ' imported but unused'

clean:
	$(PYTHON) setup.py clean
	-find . -name "*.pyc" -o -name "*.pyo" -o -name "*.so" | xargs rm -f

# Build API documentation
docfiles = bzr bzrlib
api-docs:
	mkdir -p api/html
	PYTHONPATH=$(PWD) $(PYTHON) tools/bzr_epydoc --html -o api/html --docformat 'restructuredtext en' $(docfiles)
check-api-docs:
	PYTHONPATH=$(PWD) $(PYTHON) tools/bzr_epydoc --check --docformat 'restructuredtext en' $(docfiles)

# build tags for emacs and vim
TAGS:
	ctags -R -e bzrlib

tags:
	ctags -R bzrlib

# these are treated as phony so they'll always be rebuilt - it's pretty quick
.PHONY: TAGS tags


### Documentation ###

# Default to plain documentation for maximum backwards compatibility.
# (Post 2.0, the defaults will most likely be Sphinx-style instead.)

docs: docs-plain

clean-docs: clean-plain

html-docs: html-plain


### Man-page Documentation ###

MAN_DEPENDENCIES = bzrlib/builtins.py \
	$(wildcard bzrlib/*.py) \
	$(wildcard bzrlib/*/*.py) \
	tools/generate_docs.py \
	$(wildcard $(addsuffix /*.txt, bzrlib/help_topics/en)) 

MAN_PAGES = man1/bzr.1
man1/bzr.1: $(MAN_DEPENDENCIES)
	$(PYTHON) tools/generate_docs.py -o $@ man


### Sphinx-style Documentation ###

# Build the documentation. To keep the dependencies down to a minimum
# for distro packagers, we only build the html documentation by default.
# Sphinx 0.6 or later is preferred for the best rendering, though
# Sphinx 0.4 or later should work. See http://sphinx.pocoo.org/index.html
# for installation instructions.
docs-sphinx: html-sphinx

# Clean out generated documentation
clean-sphinx:
	cd doc/en && make clean
	cd doc/es && make clean
	cd doc/ja && make clean
	cd doc/ru && make clean
	cd doc/developers && make clean

SPHINX_DEPENDENCIES = \
        doc/en/release-notes/index.txt \
        doc/en/user-reference/index.txt \
	doc/es/Makefile \
	doc/es/make.bat \
	doc/ja/Makefile \
	doc/ja/make.bat \
	doc/ru/Makefile \
	doc/ru/make.bat \
	doc/developers/Makefile \
	doc/developers/make.bat

NEWS_FILES = $(wildcard doc/en/release-notes/bzr-*.txt)

doc/en/user-reference/index.txt: $(MAN_DEPENDENCIES)
	$(PYTHON) tools/generate_docs.py -o $@ rstx

doc/en/release-notes/index.txt: $(NEWS_FILES) tools/generate_release_notes.py
	$(PYTHON) tools/generate_release_notes.py $@ $(NEWS_FILES)

doc/%/Makefile: doc/en/Makefile
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

doc/%/make.bat: doc/en/make.bat
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

# Build the html docs using Sphinx.
html-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make html
	cd doc/es && make html
	cd doc/ru && make html
	cd doc/ja && make html
	cd doc/developers && make html

# Build the PDF docs using Sphinx. This requires numerous LaTeX
# packages. See http://sphinx.pocoo.org/builders.html for details.
# Note: We don't currently build PDFs for the Russian docs because
# they require additional packages to be installed (to handle
# Russian hyphenation rules, etc.)
pdf-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make latex
	cd doc/es && make latex
	cd doc/ja && make latex
	cd doc/developers && make latex
	cd doc/en/_build/latex && make all-pdf
	cd doc/es/_build/latex && make all-pdf
	cd doc/developers/_build/latex && make all-pdf

# Build the CHM (Windows Help) docs using Sphinx.
# Note: HtmlHelp Workshop needs to be used on the generated hhp files
# to generate the final chm files.
chm-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make htmlhelp
	cd doc/es && make htmlhelp
	cd doc/ru && make htmlhelp
	cd doc/ja && make htmlhelp
	cd doc/developers && make htmlhelp


### Documentation Website ###

# Where to build the website
DOC_WEBSITE_BUILD = build_doc_website

# Build and package docs into a website, complete with downloads.
doc-website: html-sphinx pdf-sphinx
	$(PYTHON) tools/package_docs.py doc/en $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/es $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/ru $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/ja $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/developers $(DOC_WEBSITE_BUILD)


### Plain Documentation ###

# While Sphinx is the preferred tool for building documentation, we still
# support our "plain" html documentation so that Sphinx is not a hard
# dependency for packagers on older platforms.

rst2html = $(PYTHON) tools/rst2html.py --link-stylesheet --footnote-references=superscript --halt=warning

# translate txt docs to html
derived_txt_files = \
	doc/en/release-notes/NEWS.txt
txt_all = \
	doc/en/tutorials/tutorial.txt \
	doc/en/tutorials/using_bazaar_with_launchpad.txt \
	doc/en/tutorials/centralized_workflow.txt \
        $(wildcard doc/es/tutorials/*.txt) \
		$(wildcard doc/ru/tutorials/*.txt) \
	doc/ja/tutorials/tutorial.txt \
	doc/ja/tutorials/using_bazaar_with_launchpad.txt \
	doc/ja/tutorials/centralized_workflow.txt \
	$(wildcard doc/*/mini-tutorial/index.txt) \
	$(wildcard doc/*/user-guide/index-plain.txt) \
	doc/en/admin-guide/index-plain.txt \
	$(wildcard doc/es/guia-usario/*.txt) \
	$(derived_txt_files) \
	doc/en/upgrade-guide/index.txt \
	doc/index.txt \
	$(wildcard doc/index.*.txt)
txt_nohtml = \
	doc/en/user-guide/index.txt \
	doc/es/user-guide/index.txt \
	doc/ja/user-guide/index.txt \
	doc/ru/user-guide/index.txt \
	doc/en/admin-guide/index.txt
txt_files = $(filter-out $(txt_nohtml), $(txt_all))
htm_files = $(patsubst %.txt, %.html, $(txt_files)) 

non_txt_files = \
       doc/default.css \
       $(wildcard doc/*/bzr-en-quick-reference.svg) \
       $(wildcard doc/*/bzr-en-quick-reference.png) \
       $(wildcard doc/*/bzr-en-quick-reference.pdf) \
       $(wildcard doc/*/bzr-es-quick-reference.svg) \
       $(wildcard doc/*/bzr-es-quick-reference.png) \
       $(wildcard doc/*/bzr-es-quick-reference.pdf) \
       $(wildcard doc/*/bzr-ru-quick-reference.svg) \
       $(wildcard doc/*/bzr-ru-quick-reference.png) \
       $(wildcard doc/*/bzr-ru-quick-reference.pdf) \
       $(wildcard doc/*/user-guide/images/*.png)

# doc/developers/*.txt files that should *not* be individually
# converted to HTML
dev_txt_nohtml = \
	doc/developers/add.txt \
	doc/developers/annotate.txt \
	doc/developers/bundle-creation.txt \
	doc/developers/commit.txt \
	doc/developers/diff.txt \
	doc/developers/directory-fingerprints.txt \
	doc/developers/gc.txt \
	doc/developers/implementation-notes.txt \
	doc/developers/incremental-push-pull.txt \
	doc/developers/index.txt \
	doc/developers/initial-push-pull.txt \
	doc/developers/merge-scaling.txt \
	doc/developers/miscellaneous-notes.txt \
	doc/developers/missing.txt \
	doc/developers/performance-roadmap-rationale.txt \
	doc/developers/performance-use-case-analysis.txt \
	doc/developers/planned-change-integration.txt \
	doc/developers/planned-performance-changes.txt \
	doc/developers/plans.txt \
	doc/developers/process.txt \
	doc/developers/revert.txt \
	doc/developers/specifications.txt \
	doc/developers/status.txt \
	doc/developers/uncommit.txt

dev_txt_all = $(wildcard $(addsuffix /*.txt, doc/developers))
dev_txt_files = $(filter-out $(dev_txt_nohtml), $(dev_txt_all))
dev_htm_files = $(patsubst %.txt, %.html, $(dev_txt_files)) 

doc/en/user-guide/index-plain.html: $(wildcard $(addsuffix /*.txt, doc/en/user-guide)) 
	$(rst2html) --stylesheet=../../default.css $(dir $@)index-plain.txt $@

#doc/es/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/es/user-guide)) 
#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
#
#doc/ru/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/ru/user-guide)) 
#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
#
doc/en/admin-guide/index-plain.html: $(wildcard $(addsuffix /*.txt, doc/en/admin-guide)) 
	$(rst2html) --stylesheet=../../default.css $(dir $@)index-plain.txt $@

doc/developers/%.html: doc/developers/%.txt
	$(rst2html) --stylesheet=../default.css $< $@

doc/index.html: doc/index.txt
	$(rst2html) --stylesheet=default.css $< $@

doc/index.%.html: doc/index.%.txt
	$(rst2html) --stylesheet=default.css $< $@

%.html: %.txt
	$(rst2html) --stylesheet=../../default.css $< "$@"

doc/en/release-notes/NEWS.txt: $(NEWS_FILES) tools/generate_release_notes.py
	$(PYTHON) tools/generate_release_notes.py "$@" $(NEWS_FILES)

upgrade_guide_dependencies =  $(wildcard $(addsuffix /*.txt, doc/en/upgrade-guide)) 

doc/en/upgrade-guide/index.html: $(upgrade_guide_dependencies)
	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@

derived_web_docs = $(htm_files) $(dev_htm_files) 
WEB_DOCS = $(derived_web_docs) $(non_txt_files)
ALL_DOCS = $(derived_web_docs) $(MAN_PAGES)

# the main target to build all the docs
docs-plain: $(ALL_DOCS)

# produce a tree containing just the final docs, ready for uploading to the web
HTMLDIR = html_docs
html-plain: docs-plain
	$(PYTHON) tools/win32/ostools.py copytree $(WEB_DOCS) $(HTMLDIR)

# clean produced docs
clean-plain:
	$(PYTHON) tools/win32/ostools.py remove $(ALL_DOCS) \
	    $(HTMLDIR) $(derived_txt_files)


### Miscellaneous Documentation Targets ###

# build a png of our performance task list
# this is no longer built by default; you can build it if you want to look at it
doc/developers/performance.png: doc/developers/performance.dot
	@echo Generating $@
	@dot -Tpng $< -o$@ || echo "Dot not installed; skipping generation of $@"


### Windows Support ###

# make all the installers completely from scratch, using zc.buildout
# to fetch the dependencies
# These are files that need to be copied into the build location to boostrap
# the build process.
# Note that the path is relative to tools/win32
BUILDOUT_FILES = buildout.cfg \
	buildout-templates/bin/build-installer.bat.in \
	ostools.py bootstrap.py

installer-all:
	@echo Make all the installers from scratch
	@# Build everything in a separate directory, to avoid cluttering the WT
	$(PYTHON) tools/win32/ostools.py makedir build-win32
	@# cd to tools/win32 so that the relative paths are copied correctly

=== doc/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

# Note that this assumes name of the output dir is same as name of the rule.
define make_output_dirs
# Create output directory (only needed for sphinx < 0.5)
[ -d _build ] || mkdir _build
[ -d "_build/$@" ] || mkdir "_build/$@"
# Workaround for a bug in sphinx < 0.5 where it tries to delete
# nonexistent static dirs and does not catch the exception.  This was
# fixed in svn+ssh://pythondev@svn.python.org/doctools/branches/0.4.x
# at r65551 and merged as 280b62246342 in hg branch released as 0.5.
[ -d "_build/$@/_static" ] || mkdir "_build/$@/_static"
for fn in _static/*; do \
    [ ! -d "$$fn" ] && continue; \
    [ -d "_build/$@/$$fn" ] || mkdir "_build/$@/$$fn"; \
done
endef

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(make_output_dirs)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(make_output_dirs)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(make_output_dirs)
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(make_output_dirs)
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(make_output_dirs)
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(make_output_dirs)
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Bazaar.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Bazaar.qhc"

latex:
	$(make_output_dirs)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(make_output_dirs)
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(make_output_dirs)
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(make_output_dirs)
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) _build/texinfo

=== debian/changelog ===
bzr (2.3.1-2) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Add python-medusa, python-lzma and python-meliae as build
    dependencies (used by the test suite).

  [ John Ferlito ]
  * Remove John Ferlito from Uploaders.

  [ Jelmer Vernooij ]
  * Prefer cython as build dependency.
  * Remove generated C files during clean.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 05 Apr 2011 14:38:50 +0200

bzr (2.3.1-1) unstable; urgency=low

  * New upstream release.
   + Build depend on python-configobj >= 4.7.2+ds-2 which has a fix for bug
     #618349 which breaks the Bazaar testsuite.
  * Switch to dh_python2.
  * Switch to debhelper 7, drop cdbs.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 13 Mar 2011 15:08:21 +0100

bzr (2.3.0-6) unstable; urgency=low

  * Support running the test suite in parallel.
  * Run selftest with -v so there is some indication of progress. This should
    prevent builds from being killed on buildds due to a lack of output.
  * Cherry-pick fix to use correct format character for unsigned int
    gc_chk_sha1_record members. Fixes FTBFS on alpha.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 26 Feb 2011 04:07:18 +0100

bzr (2.3.0-5) unstable; urgency=low

  * Add 05_kfreebsd_tests: Enable FreeBSD kernel specific workarounds
    for Debian/kFreeBSD. Fixes FTBFS on kfreebsd-{i386,amd64}.
  * Set BZR_HOME during test run for hosts that don't have a home
    directory set.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 25 Feb 2011 16:32:22 +0100

bzr (2.3.0-4) unstable; urgency=low

  * Use multiprocessing.cpu_count to retrieve number of CPUs if
    possible. Closes: #588853

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 23 Feb 2011 14:55:32 +0100

bzr (2.3.0-3) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Bump debhelper dependency to debhelper 7.4.16, required for our use
    of --list-missing and --fail-missing.

  [ Max Bowsher ]
  * Run testsuite on bzr including compiled extensions.
  * Run testsuite on all architectures, not just when doing an
    architecture-independent build.

  [ Jelmer Vernooij ]
  * Disable launchpad plugin tests as they currently require access to
    Launchpad production. Closes: #614544

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 22 Feb 2011 15:47:00 +0100

bzr (2.3.0-2) unstable; urgency=low

  * Split python library into a separate package. Closes: #561647

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 06 Feb 2011 14:49:49 +0100

bzr (2.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 03 Feb 2011 18:58:06 +0100

bzr (2.3.0~beta5-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Cherrypick fix for compatibility with python2.7 >= 2.7.1-2.  LP: #693880
  * Switch to python-support. Closes: #568462
  * Add missing build dependency on python-configobj.
  * Make dependency on python-testtools versioned (>= 0.9.5).
  * Re-remove included elementtree and configobj. Closes: #555343, #555336

  [ Vincent Ladeuil ]
  * New upstream release.
   + Fix https python-2.7 compatibility. Closes: #608085
   + Follow the Freedesktop XDG Base Directory Specification. LP: #195397
  * Drop unnecessary dependency on graphviz.

  [ Max Bowsher ]
  * Run testsuite for bundled plugins too.

  [ Jelmer Vernooij ]
  * Cherrypick fix around default locales.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 21 Jan 2011 22:08:19 +0100

bzr (2.3.0~beta3-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Add testtools to build dependencies.
  * Run tests by default again, unless "nocheck" is present in
    DEB_BUILD_OPTIONS. (per policy)

  [ Max Bowsher ]
  * Amend watch file to match current package version scheme.
  * New upstream release.

 -- Max Bowsher <maxb@f2s.com>  Fri, 05 Nov 2010 23:21:04 +0000

bzr (2.3.0~beta2-1) unstable; urgency=low

  * New upstream release.
  * Rebuild with python2.5 modules. Closes: #593409

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 11 Oct 2010 02:21:33 +0200

bzr (2.3.0~beta1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 20 Sep 2010 11:30:28 -0700

bzr (2.2~b4-1) experimental; urgency=low

  * New upstream beta.
  * Bump standards version to 3.9.0.
  * Drop build dependency on zlib.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 21 Jul 2010 01:02:00 +0200

bzr (2.2~b2-1) experimental; urgency=low

  * New upstream release.
  * Recommend python-launchpadlib. Closes: #568937

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 21 May 2010 19:56:07 +0200

=== debian/control ===
Source: bzr
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jeff Bailey <jbailey@raspberryginger.com>, Wouter van Heyst <larstiq@larstiq.dyndns.org>, Reinhard Tartler <siretart@tauware.de>, Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>> 7.4.16), python (>= 2.6.6-3), python-all-dev (>= 2.6.6-3), python-docutils, cython | python-pyrex, python-testtools (>= 0.9.5~), python-configobj (>= 4.7.2+ds-2), python (>> 2.5) | python-celementtree | python-elementtree, python-subunit, python-meliae, python-medusa, python-lzma
Standards-Version: 3.9.1
X-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.3
Homepage: http://bazaar-vcs.org
Dm-Upload-Allowed: yes

Package: bzr
Architecture: all
Depends: ${python:Depends}, python-bzrlib (>= ${source:Version}), ${misc:Depends}
Recommends: bzrtools
Suggests: bzr-gtk, bzr-svn, bzr-doc, python-testtools (>= 0.9.5~)
Provides: ${python:Provides}
Description: easy to use distributed version control system
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH instalations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (bzr-gtk), or native
 interaction with Subversion branches (bzr-svn).
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp, and python-pycurl if you'd like for SSL certificates
 always to be verified.

Package: python-bzrlib
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}, python (>> 2.5) | python-celementtree | python-elementtree, python-configobj, ${misc:Depends}
Recommends: python-paramiko, ca-certificates, python-launchpadlib
Suggests: python-pycurl, xdg-utils, python-kerberos (>= 1.0+svn2455-1)
Breaks: bzr (<< 2.3.0-2), ${python:Breaks}
Replaces: bzr (<< 2.3.0-2)
Description: distributed version control system - python library
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the Bazaar Python library.
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp, and python-pycurl if you'd like for SSL certificates
 always to be verified.

Package: bzr-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: bzr
Replaces: bzr (<< 2.0.1)
Breaks: bzr (<< 2.0.1)
Description: easy to use distributed version control system (documentation)
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH instalations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (bzr-gtk), or native
 interaction with Subversion branches (bzr-svn).
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp, and python-pycurl if you'd like for SSL certificates
 always to be verified.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $*

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

PYTHON_CURRENT_VERSION = $(shell pyversions -vd)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	[ -d debian/bzrhome ] || mkdir debian/bzrhome
	$(CONCURRENCY) \
	BZR_HOME=debian/bzrhome \
	BZR_PLUGIN_PATH=-site:-user \
	BZR_DISABLE_PLUGINS=launchpad \
	PYTHONPATH=$(wildcard $(CURDIR)/build/lib.*-$(PYTHON_CURRENT_VERSION)) \
	$(CURDIR)/build/scripts-$(PYTHON_CURRENT_VERSION)/bzr selftest -v --parallel=fork
endif

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean-docs
	rm -rf debian/bzrhome
	rm -f bzrlib/*_pyx.c

override_dh_auto_install:
	dh_auto_install --buildsystem=python_distutils -- --install-data=/usr/share

override_dh_install:
	dh_install --list-missing --fail-missing
	# Install the documentation; since html and txt and intermixed
	# under doc/, this is handier than trying to do it from bzr-doc.install. 
	for ext in txt html; do \
	    ( cd doc && find -name "*.$$ext" -print0 ) | \
	    	xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
	    	"debian/bzr-doc/usr/share/doc/bzr/$$ext/{}"; \
	done
	# Install images as well
	( cd doc && find -name "*.png" -print0 ) | \
	    xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
	    "debian/bzr-doc/usr/share/doc/bzr/html/{}"

override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	$(MAKE) docs

override_dh_compress:
	dh_compress -X.xvg -X.pdf

## bzr 2.3.4

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	set -e
 	# Generate a stream for PQM to watch.
 	-$(RM) -f selftest.log
-	$(PYTHON) -Werror -O ./bzr selftest --subunit $(tests) | tee selftest.log
+	$(PYTHON) -Werror -Wignore::ImportWarning -O ./bzr selftest --subunit $(tests) | tee selftest.log
 	# An empty log file should catch errors in the $(PYTHON)
 	# command above (the '|' swallow any errors since 'make'
 	# sees the 'tee' exit code for the whole line

=== debian/changelog ===
bzr (2.3.4-0ubuntu1) natty-proposed; urgency=low

  * New upstream release.
   + Fix bzr version number in deprecation warnings. LP: #794960
   + Prevent write attemps on remote branch during "bzr up". LP: #786980
   + Fix conflict handling when two trees involved in a merge have different
     root ids. LP: #805809

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 14 Jul 2011 21:12:58 +0200

bzr (2.3.3-0ubuntu1) natty-proposed; urgency=low

  * New upstream release.
   + Fixes deprecation warning on newer versions of Python. LP: #760435
   + Stops 'bzr push' from copying entire repository if a .bzr directory is
     present without a branch. LP: #465517
   + Fixes undefined local variable error when waiting for lock. LP: #733136
   + Fixes lock contention issues pushing to a bound branch. LP: #733350
   + Transfers less data creating a new stacked branch. LP: #737234
   + Several fixes to the test suite, making it more robust. LP: #654733,
      LP: #751824
   + 'bzr merge --pull --preview' actually shows a preview rather than
     actually merging. LP: #760152
   + bzr smart server now supports UTF-8 user names. LP: #659763
   + user identity can now be set based on username and /etc/mailname, not
     requiring it to be set manually. LP: #616878
   + stacking is now fully transitive. LP: #715000
   + makes in-terminal crash report of plugins much shorter. LP: #716389

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Wed, 08 Jun 2011 13:58:00 +0100

bzr (2.3.1-1ubuntu1) natty; urgency=low

  * Drop build dependency on python-subunit (universe). LP: #713038.
  * Disable parallel tests.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 26 Mar 2011 01:50:11 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/.0~beta/" \
https://launchpad.net/bzr/2.3 http://launchpad.net/bzr/.*/bzr-(.+).tar.gz

## bzr 2.4.0~beta2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2010 Canonical Ltd
+# Copyright (C) 2005-2011 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@
 PLUGIN_TARGET=plugin-release
 PYTHON_BUILDFLAGS=
 
-.PHONY: all clean extensions pyflakes api-docs check-nodocs check
+.PHONY: all clean realclean extensions pyflakes api-docs check-nodocs check
 
 all: extensions
 
@@ -65,6 +65,11 @@
 clean:
 	$(PYTHON) setup.py clean
 	-find . -name "*.pyc" -o -name "*.pyo" -o -name "*.so" | xargs rm -f
+
+realclean: clean
+	# Remove files which are autogenerated but included by the tarball.
+	rm -f bzrlib/*_pyx.c
+	rm -f bzrlib/_simple_set_pyx.h bzrlib/_simple_set_pyx_api.h
 
 # Build API documentation
 docfiles = bzr bzrlib
@@ -354,6 +359,3 @@
 
 installer-all:
 	@echo Make all the installers from scratch
-	@# Build everything in a separate directory, to avoid cluttering the WT
-	$(PYTHON) tools/win32/ostools.py makedir build-win32
-	@# cd to tools/win32 so that the relative paths are copied correctly

=== debian/changelog ===
bzr (2.4.0~beta2-3) unstable; urgency=low

  * Upload to unstable.
  * Update 05_fix_locale_test to cope with home directory not existing.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 01 May 2011 01:52:14 +0200

bzr (2.4.0~beta2-2) experimental; urgency=low

  * Fix locale setting during TestExceptionReporting.test_undecodable_argv.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 30 Apr 2011 02:27:33 +0200

bzr (2.4.0~beta2-1) experimental; urgency=low

  * New upstream release.
   + No longer requires setting user identity to commit. LP: #616878
   + Sets proper permissions on files in exported zip files. LP: #207253
   + Prints better error message when argv can't be decoded in application
     locale. LP: #745712
   + Now uses /etc/mailname when determining default identity. Closes: #574933

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Apr 2011 18:18:35 +0200

bzr (2.4.0~beta1-2) experimental; urgency=low

  * Split bzrlib.tests out from python-bzrlib into python-bzrlib.tests,
    as it is fairly large (16Mb) and not needed by most users.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 06 Apr 2011 18:43:12 +0200

bzr (2.4.0~beta1-1) experimental; urgency=low

   * New upstream release.
      + Drop patches merged upstream: 01_test_locale, 04_cpu_count,
     05_kfreebsd_tests, 06_format_gc_chk_sha1_record
      + Fixes directory modes in zip files. LP: #207253

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 31 Mar 2011 12:03:48 +0200

bzr (2.3.0-7) unstable; urgency=low

  * Switch to dh_python2.
  * Switch to debhelper 7, drop cdbs.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Mar 2011 12:02:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,35 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
-Uploaders: Jeff Bailey <jbailey@raspberryginger.com>, Wouter van Heyst <larstiq@larstiq.dyndns.org>, Reinhard Tartler <siretart@tauware.de>, Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: debhelper (>> 7.4.16), python (>= 2.6.6-3), python-all-dev (>= 2.6.6-3), python-docutils, cython | python-pyrex, python-testtools (>= 0.9.5~), python-configobj (>= 4.7.2+ds-2), python (>> 2.5) | python-celementtree | python-elementtree, python-subunit, python-meliae, python-medusa, python-lzma
+Uploaders: Jeff Bailey <jbailey@raspberryginger.com>,
+           Wouter van Heyst <larstiq@larstiq.dyndns.org>,
+           Reinhard Tartler <siretart@tauware.de>,
+           Jelmer Vernooij <jelmer@debian.org>
+Build-Depends: cython | python-pyrex,
+               debhelper (>> 7.4.16),
+               python (>= 2.6.6-3),
+               python (>> 2.5) | python-celementtree | python-elementtree,
+               python-all-dev (>= 2.6.6-3),
+               python-configobj (>= 4.7.2+ds-2),
+               python-docutils,
+               python-lzma,
+               python-medusa,
+               python-meliae,
+               python-subunit,
+               python-testtools (>= 0.9.5~)
 Standards-Version: 3.9.1
 X-Python-Version: >= 2.4
-Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.3
+Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.4
 Homepage: http://bazaar-vcs.org
 Dm-Upload-Allowed: yes
 
 Package: bzr
 Architecture: all
-Depends: ${python:Depends}, python-bzrlib (>= ${source:Version}), ${misc:Depends}
+Depends: python-bzrlib (>= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: bzrtools
-Suggests: bzr-gtk, bzr-svn, bzr-doc, python-testtools (>= 0.9.5~)
-Provides: ${python:Provides}
+Suggests: bzr-doc, bzr-gtk, bzr-svn, python-bzrlib.tests
 Description: easy to use distributed version control system
  Bazaar is a distributed version control system designed to be easy to
  use and intuitive, able to adapt to many workflows, reliable, and
@@ -43,10 +58,18 @@
 Package: python-bzrlib
 Architecture: any
 Section: python
-Depends: ${shlibs:Depends}, ${python:Depends}, python (>> 2.5) | python-celementtree | python-elementtree, python-configobj, ${misc:Depends}
-Recommends: python-paramiko, ca-certificates, python-launchpadlib
-Suggests: python-pycurl, xdg-utils, python-kerberos (>= 1.0+svn2455-1)
-Breaks: bzr (<< 2.3.0-2), ${python:Breaks}
+Depends: python (>> 2.5) | python-celementtree | python-elementtree,
+         python-configobj,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Recommends: ca-certificates, python-launchpadlib, python-paramiko
+Suggests: python-bzrlib.tests,
+          python-kerberos (>= 1.0+svn2455-1),
+          python-pycurl,
+          xdg-utils
+Breaks: bzr (<< 2.3.0-2)
+Provides: ${python:Provides}
 Replaces: bzr (<< 2.3.0-2)
 Description: distributed version control system - python library
  Bazaar is a distributed version control system designed to be easy to
@@ -58,6 +81,27 @@
  Install python-paramiko if you are going to push branches to remote
  hosts with sftp, and python-pycurl if you'd like for SSL certificates
  always to be verified.
+
+Package: python-bzrlib.tests
+Architecture: all
+Section: python
+Depends: python-bzrlib (>= ${source:Version}),
+         python-bzrlib (<= ${source:Version}.1~),
+         python-testtools (>= 0.9.5~),
+         ${misc:Depends},
+         ${python:Depends}
+Suggests: python-subunit
+Breaks: python-bzrlib (<< 2.4.0~beta1-2)
+Provides: ${python:Provides}
+Replaces: python-bzrlib (<< 2.4.0~beta1-2)
+Description: distributed version control system - testsuite
+ Bazaar is a distributed version control system designed to be easy to
+ use and intuitive, able to adapt to many workflows, reliable, and
+ easily extendable.
+ .
+ This package contains the bzrlib test infrastructure and testsuite,
+ which is required to run the 'bzr selftest' command and to run
+ plugin tests.
 
 Package: bzr-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --with python2 $*
+	dh --with python2 --buildsystem=python_distutils $*
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -30,6 +30,9 @@
 	dh_auto_install --buildsystem=python_distutils -- --install-data=/usr/share
 
 override_dh_install:
+	mkdir -p debian/python-bzrlib.tests/usr/lib \
+		debian/python-bzrlib.tests/usr/share/pyshared/bzrlib
+	for py in $(shell pyversions -r); do { mkdir -p debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib; mv debian/tmp/usr/lib/$$py/dist-packages/bzrlib/tests debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib/tests; } done
 	dh_install --list-missing --fail-missing
 	# Install the documentation; since html and txt and intermixed
 	# under doc/, this is handier than trying to do it from bzr-doc.install.

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/.0~beta/" \
https://launchpad.net/bzr/+download http://launchpad.net/bzr/.*/bzr-(.+).tar.gz

## bzr 2.4.0~beta5

=== debian/changelog ===
bzr (2.4.0~beta5-3) unstable; urgency=low

  * Fix compatibility with Python 2.7.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 19 Jul 2011 00:14:35 +0200

bzr (2.4.0~beta5-2) unstable; urgency=low

  * Support all i18n-related environment variables not being set.
    Closes: #633892

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 15 Jul 2011 11:03:53 +0200

bzr (2.4.0~beta5-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Fix typo in package description. Thanks Paul Stewart.
  * Mark python-bzrlib as breaking with older versions of bzr that
    predate python-bzrlib. LP: #803362

  [ Max Bowsher ]
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 14 Jul 2011 15:35:42 +0200

bzr (2.4.0~beta4-4) unstable; urgency=low

  * Add 09_utf8_config_files.
    + Fixes use of configuration files with non-ascii characters. Closes: #630872
      LP: #799212

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Jun 2011 21:57:29 +0200

bzr (2.4.0~beta4-3) unstable; urgency=low

  * Drop no longer necessary dependency on python-elementtree, as it is
    included in all currently supported versions of Python.
  * Add python-bzrlib-dbg package.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 19 Jun 2011 03:45:44 +0200

bzr (2.4.0~beta4-2) unstable; urgency=low

  * Fix tests when home directory does not exist. Thanks Vincent Ladeuil.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 17 Jun 2011 16:10:52 +0200

bzr (2.4.0~beta4-1) unstable; urgency=low

  * New upstream release.
   + Using "bzr blame" no longer requires user to set identity.  LP: #667408
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 17 Jun 2011 01:15:56 +0200

bzr (2.4.0~beta3-2) unstable; urgency=low

  * Add 04_fix_undecodable_argv; cope with $HOME not existing on some
    buildd machines.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 01 Jun 2011 13:17:25 +0100

bzr (2.4.0~beta3-1) unstable; urgency=low

  * New upstream release.
   + Requires at least Python 2.6 or higher.
   + Fixes permissions on directories in zip files. LP: #207253
   + Prints proper error when encountering encoding-invalid characters in
     commit messages on the commandline. LP: #745712
   + Drop patches merged upstream: 04_auto_user_id_test_fix,
   05_fix_locale_test
  * Add upper bound version dependency on python-bzrlib in bzr.
    LP: #778696

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 01 Jun 2011 10:54:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: cython | python-pyrex,
-               debhelper (>> 7.4.16),
+Build-Depends: cython-dbg | python-pyrex,
+               debhelper (>> 8.1.0~),
                python (>= 2.6.6-3),
-               python (>> 2.5) | python-celementtree | python-elementtree,
                python-all-dev (>= 2.6.6-3),
+               python-all-dbg (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
-               python-lzma,
+               python-lzma-dbg,
                python-medusa,
-               python-meliae,
+               python-meliae-dbg,
                python-subunit,
                python-testtools (>= 0.9.5~)
-Standards-Version: 3.9.1
-X-Python-Version: >= 2.4
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.6
 Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.4
 Homepage: http://bazaar-vcs.org
 Dm-Upload-Allowed: yes
@@ -27,8 +27,10 @@
 Package: bzr
 Architecture: all
 Depends: python-bzrlib (>= ${source:Version}),
+         python-bzrlib (<= ${source:Version}.1~),
          ${misc:Depends},
          ${python:Depends}
+Breaks: python-bzrlib (<< 2.4.0~beta3~)
 Recommends: bzrtools
 Suggests: bzr-doc, bzr-gtk, bzr-svn, python-bzrlib.tests
 Description: easy to use distributed version control system
@@ -38,7 +40,7 @@
  .
  Publishing of branches can be done over plain HTTP, that is, no special
  software is needed on the server to host Bazaar branches. Branches can
- be pushed to the server via sftp (which most SSH instalations come
+ be pushed to the server via sftp (which most SSH installations come
  with), FTP, or over a custom and faster protocol if bzr is installed in
  the remote end.
  .
@@ -58,8 +60,7 @@
 Package: python-bzrlib
 Architecture: any
 Section: python
-Depends: python (>> 2.5) | python-celementtree | python-elementtree,
-         python-configobj,
+Depends: python-configobj,
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -67,6 +68,7 @@
 Suggests: python-bzrlib.tests,
           python-kerberos (>= 1.0+svn2455-1),
           python-pycurl,
+          python-bzrlib-dbg,
           xdg-utils
 Breaks: bzr (<< 2.3.0-2)
 Provides: ${python:Provides}
@@ -81,6 +83,21 @@
  Install python-paramiko if you are going to push branches to remote
  hosts with sftp, and python-pycurl if you'd like for SSL certificates
  always to be verified.
+
+Package: python-bzrlib-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-bzrlib (= ${binary:Version})
+Provides: ${python:Provides}
+Recommends: python-dbg
+Suggests: python-meliae-dbg, python-lzma-dbg
+Description: distributed version control system - debug extension
+ Bazaar is a distributed version control system designed to be easy to
+ use and intuitive, able to adapt to many workflows, reliable, and
+ easily extendable.
+ .
+ This package contains the debug extension for the Bazaar Python library.
 
 Package: python-bzrlib.tests
 Architecture: all
@@ -117,7 +134,7 @@
  .
  Publishing of branches can be done over plain HTTP, that is, no special
  software is needed on the server to host Bazaar branches. Branches can
- be pushed to the server via sftp (which most SSH instalations come
+ be pushed to the server via sftp (which most SSH installations come
  with), FTP, or over a custom and faster protocol if bzr is installed in
  the remote end.
  .

## bzr 2.4.0

=== Makefile ===
--- 
+++ 
@@ -75,9 +75,7 @@
 docfiles = bzr bzrlib
 api-docs:
 	mkdir -p api/html
-	PYTHONPATH=$(PWD) $(PYTHON) tools/bzr_epydoc --html -o api/html --docformat 'restructuredtext en' $(docfiles)
-check-api-docs:
-	PYTHONPATH=$(PWD) $(PYTHON) tools/bzr_epydoc --check --docformat 'restructuredtext en' $(docfiles)
+	pydoctor --make-html --docformat='restructuredtext' --html-output=api/html $(docfiles)
 
 # build tags for emacs and vim
 TAGS:
@@ -359,3 +357,5 @@
 
 installer-all:
 	@echo Make all the installers from scratch
+	@# Build everything in a separate directory, to avoid cluttering the WT
+	$(PYTHON) tools/win32/ostools.py makedir build-win32

=== debian/changelog ===
bzr (2.4.0-3) unstable; urgency=medium

  * Fix regression in open_write_stream, which breaks the bzr-builddeb
    testsuite. Closes: #638219, LP: #831351

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 31 Aug 2011 14:21:44 +0200

bzr (2.4.0-2) unstable; urgency=medium

  * Ignore permission denied errors when opening configuration files.
    LP: #837324, Closes: #639004

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 30 Aug 2011 14:12:41 +0200

bzr (2.4.0-1) unstable; urgency=low

  * New upstream release.
   + Suggest python-gpgme python-gpgme-dbg for new signatures features.
   + Build-conflict with python-gpgme for the moment because of
     failing GPG tests when it is installed.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Aug 2011 21:57:09 +0200
